declare namespace _exports {
    export { GoogleGetAccessTokenFunctionParams };
}
declare function _exports(params: GoogleGetAccessTokenFunctionParams): Promise<string>;
export = _exports;
type GoogleGetAccessTokenFunctionParams = {
    /**
     * - Google app client ID: {@link https://datasquirel.com/docs}
     */
    clientId: string;
    /**
     * - Whether to trigger Google signing popup or not: {@link https://datasquirel.com/docs}
     */
    triggerPrompt?: boolean;
    /**
     * - React setState Function: sets whether the google login button is ready or not
     */
    setLoading?: React.Dispatch<React.SetStateAction<boolean>>;
};
